@if (componentData) {
  <label class="block-title flex-row">
    {{ 'sqtm-core.entity.scm-server.credentials.label' | translate }}
    @if (
      componentData.testAutomationServer.supportsAutomatedExecutionEnvironments
    ) {
      <i
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="outline"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.servers.test-automation-servers.auth-policy.optional-help'
            | translate
        "
        class="current-workspace-button table-icon-size m-l-6"
      >
      </i>
    }
  </label>
  <div class="block-border p-l-10 m-t-8">
    <sqtm-core-third-party-credentials-form
      [authenticationProtocol]="componentData.testAutomationServer.authProtocol"
      [credentials]="componentData.testAutomationServer.credentials"
      [useRevokeButton]="true"
      [customModificationWarning]="modificationWarning"
      (submit)="sendCredentialsForm($event)"
      (revokeTokens)="deleteCredentials(componentData.testAutomationServer)"
    >
    </sqtm-core-third-party-credentials-form>

    <sqtm-core-third-party-credentials-form-status
      class="flex-row m-t-10"
      [statusIcon]="statusIcon"
      [statusMessage]="credentialsStatusMessage"
    >
    </sqtm-core-third-party-credentials-form-status>
  </div>
}
